micro_utils.dokka
0.15.1

# Package-level declarations

## Types

Config
Link copied to clipboard
@Serializable
data class Config(val plugins: List<StartPlugin>)

Contains just List of StartPlugins. In json this config should look like:

HelloWorldPlugin
Link copied to clipboard
object HelloWorldPlugin : StartPlugin
StartLauncherPlugin
Link copied to clipboard
object StartLauncherPlugin : StartPlugin

Default startup plugin. See setupDI and startPlugin for more info

## Functions

main
Link copied to clipboard
suspend fun main(args: Array<String>)

It is expected, that args will contain ONE argument with path to the config json. Sample of launching:

start
Link copied to clipboard
suspend fun start(rawConfig: JsonObject)

Will create KoinApplication, init, load modules using StartLauncherPlugin and start plugins using the same base plugin

## Properties

defaultJson
Link copied to clipboard
val defaultJson: Json